AGRO-POPC - Zadanie #2136
Skrypt do przyrostowego backupu rekordéw z katalogu
2019-08-29 06:29 - Tomasz Blazejczyk

Status: Zamkniety Start date: 2021-07-28
Priority: Normalny Due date:

Assignee: Tomasz Lewandowski % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Developer: Tomasz Blazejczyk Rewizja rozwigzania:

Tester: Tomasz Lewandowski Rewizja testow:

Description

Skrypt ma obstugiwac dwie sytuacje:
- catosciowy backup danych do standardowej paczki importowej
- przyrostowy backup danych od ostatniego uruchomienia

Skrypt bedzie uruchamiany w cyklu dwumiesiecznych (tryb cato$ciowy) oraz conocnym (przyrostowo).

Subtasks:
Zadanie # 2669: Paczkomat nie umozliwia zapisania i odtworzenia metadanych zapisanych w... Rozwiazany

History

#1 - 2019-09-03 11:16 - Tomasz Blazejczyk

Wersja CLI z paczkomatem znajduje sie tutaj:
http://maven.icm.edu.pl/artifactory/yadda-snapshots/pl/edu/icm/yadda/yadda-cli/4.4.17-AGRO-POPC-SNAPSHOT /yadda-cli-4.4.17-AGRO-POPC-201

0903.1015383-18-dist.tar.gz

Obstuga (na przyktadzie agro-test):

Eksport catosci:

./export_increment.sh -s http:/lodowy.vls.icm.edu.pl:7780/agro-test-repo/descriptor -f /opt/backup -p agrodump -full

Eksport czesciowy (data startowa jest okreslana na podstawie najnowszego pliku w archiwum)

Jexport_increment.sh -s http://lodowy.vls.icm.edu.pl:7780/agro-test-repo/descriptor -f /opt/backup -p agrodump

Jak to dziata:

-s okresla deskryptor repo

-f to katalog do ktérego wpadajg paczki
-p to prefix pliku z paczka

Pliki majg nazwe <data_utworzenia_w_formacie_yyyyMMddHHmm>.zip
#2 - 2019-09-03 11:17 - Tomasz Blazejczyk

- Status changed from Nowy to Rozwigzany

- Assignee changed from Tomasz Blazejczyk to Tomasz Lewandowski

#3 - 2019-09-03 13:06 - Tomasz Blazejczyk

- Status changed from Rozwigzany to W toku

- Assignee changed from Tomasz Lewandowski to Tomasz Blazejczyk
http://maven.icm.edu.pl/artifactory/yadda-snapshots/pl/edu/icm/yadda/yadda-cli/4.4.17-AGRO-POPC-SNAPSHOT/yadda-cli-4.4.17-AGRO-POPC-20190903.101533-18-dist.tar.gz
http://maven.icm.edu.pl/artifactory/yadda-snapshots/pl/edu/icm/yadda/yadda-cli/4.4.17-AGRO-POPC-SNAPSHOT/yadda-cli-4.4.17-AGRO-POPC-20190903.101533-18-dist.tar.gz
http://lodowy.vls.icm.edu.pl:7780/agro-test-repo/descriptor
http://lodowy.vls.icm.edu.pl:7780/agro-test-repo/descriptor

Dodatkowe wymaganie - zapis w wielu paczkach o okreslonym rozmiarze.

#4 - 2019-10-25 09:58 - Tomasz Blazejczyk

Dodatkowe wymaganie zrealizowano:
- parametr size okres$la maksymalng wielko$¢ paczki (w MB) jesli przekroczy to tworzona jest nastepna paczka z numerkiem w nazwie _1, _2 itp
- istniejgce sztywne ograniczenie rozmiaru pobieranych petnych tekstow zostato sparametryzowane - parametr -max pkresla maksymalny rozmiar, bez

parametru nie ma ograniczen

#5 - 2019-12-09 10:19 - Tomasz Blazejczyk
- Status changed from W toku to Testowanie

Paczkomat uruchomiony na kopii produkcji agro, pozniej paczki zaimportowano na kolejny serwer testowy do weryfikacji.

0
Sebastian napisat:
Czesc,

0
Przebudowa zakoriczona sukcesem.

Podpiatem testy pod naszg yadda:

0
http://yadda.icm.edu.pl/agro-test/

0

Prosba o poklikanie i sprawdzenie czy waszym zdaniem jest OK.

0

Jak bedzie OK, to mozna by sprébowac na produkgji puscié skrypt budujacy paczki i zobaczy¢ jak sobie bedzie radzit.

#6 - 2019-12-09 10:20 - Tomasz Blazejczyk
- Assignee changed from Tomasz Blazejczyk to Tomasz Lewandowski
http://yadda.icm.edu.pl/agro-test/

#7 - 2020-01-16 10:57 - Tomasz Lewandowski
- % Done changed from 0 to 80

testy 2020-01-15--16:

yaddaweb wyglada ok, kompletnosci danych nie sprawdze, bo nie wiem, jak produkcja wygladata we wrzesniu 2019. Pseudolosowa prébka rekordéw
nie zawiera btedéw, hierarchia wszedzie gdzie sprawdzatem jest zachowana.

Przydatby sie deskryptor do DL, bo samym yaddawebem afaik nie sprawdze, czy jakie$ elementy wylagdowaty poza hierarchig.

#8 - 2021-01-22 07:54 - Tomasz Lewandowski
- Status changed from Testowanie to Zamkniety
- % Done changed from 80 to 100
